# Class CIM_OSPFServiceCapabilities
extends CIM_Capabilities

The OSPFServiceCapabilities class represents the capabilities of an OSPF service.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_Capabilities
|
+--CIM_OSPFServiceCapabilities

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | The OSPFServiceCapabilities class represents the capabilities of an OSPF service.
UMLPackagePath | string | CIM::Network::OSPF
Version | string | 2.7.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
SupportMOSPF | boolean |
Description | string | This attribute indicates whether this router supports MOSPF (multicast enhancements to OSPF) or not, see B.1 in RFC 1584.
MappingStrings | string | MIB.IETF|OSPF-MIB.ospfMulticastExtensions
SupportNSSA | boolean |
Description | string | This attribute indicates whether this router supports NSSA ("not-so-stubby") areas or not, see RFC 1587.
SupportOnDemand | boolean |
Description | string | This attribute indicates whether this router supports on-demand circuits or not, see RFC 1793.
MappingStrings | string | MIB.IETF|OSPF-MIB.ospfDemandExtensions

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
ElementName | string | CIM_Capabilities
InstanceID | string | CIM_Capabilities

## Class Methods